## unsort 1.2.0

=== Makefile ===
#! /usr/bin/make -f

programs = unsort

all: $(programs)

include $(HOME)/src/Makeconf

CFLAGS += $(FASCIST)
LIBS += -lrt

unsort_OBJECTS := $(patsubst %.c,%.o,$(wildcard *.c))

unfind_EXTRA_OBJECTS := error.o merge.o shuffle.o lsort.o mt19937ar.o msort.o iovec.o
#unfind_EXTRA_CFLAGS := -DTEST_UNFIND

include $(HOME)/src/Makerules

clean:
	rm -f *.o $(programs)

=== debian/changelog ===
unsort (1.2.0) unstable; urgency=low

  * Development release

 -- Wessel Dankers <wsl@fruit.je>  Tue, 30 Oct 2012 09:21:33 +0100

## unsort 1.2.1

=== debian/changelog ===
unsort (1.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS due to a stray Makefile in the upstream tarball.
  * Added upstream signing key.

 -- Guus Sliepen <guus@debian.org>  Tue, 04 Mar 2014 21:06:57 +0100

unsort (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS on Hurd. Closes: #674709
  * Converted source package to 3.0 (quilt) format.
  * Added debian/watch file.

 -- Guus Sliepen <guus@debian.org>  Tue, 04 Mar 2014 15:05:45 +0100

unsort (1.1.2-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 11 Jun 2008 23:49:07 +0200

unsort (1.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 11 Jun 2008 11:44:29 +0200

unsort (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 08 Jun 2008 12:53:54 +0200

unsort (1.0.3-1) unstable; urgency=low

  * New upstream release.
    - Fixes off-by-one error in randomization code. Closes: #457450

 -- Guus Sliepen <guus@debian.org>  Sun, 23 Dec 2007 14:25:58 +0100

unsort (1.0.2-1) unstable; urgency=low

  * Initial release.

 -- Guus Sliepen <guus@debian.org>  Thu, 20 Dec 2007 14:29:20 +0100

=== debian/control ===
Source: unsort
Section: text
Priority: extra
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev
Standards-Version: 3.9.5
Homepage: https://git.fruit.je/unsort
Vcs-Git: git://git.fruit.je/unsort
Vcs-Browser: https://git.fruit.je/unsort

Package: unsort
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reorders lines in a file in semirandom ways
 This program reorders the lines in its input with no regard to the actual
 contents. Two permutation algorithms are available: randomization
 based on a good PRNG (the Mersenne Twister algorithm) and "shuffling",
 which permutes the lines in such a way that they're spread more or less
 evenly in the output. This mode is primarily intended for music playlists.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" https://www.fruit.je/download/unsort/unsort-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## unsort 1.3.1

=== debian/changelog ===
unsort (1.3.1-1) unstable; urgency=medium

  * Maintain package in Salvage team
    CLoese: #1102642
  * New upstream version
    Closes: #1092097
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Drop use of autotools-dev debhelper.
  * Drop no longer supported add-log-mailing-address setting from d/changelog.
  * watch file standard 4 (routine-update)
  * Propagate hardening options
  * d/copyright: DEP5 + review

 -- Andreas Tille <tille@debian.org>  Sun, 31 Aug 2025 07:18:06 +0200

=== debian/control ===
Source: unsort
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Guus Sliepen <guus@debian.org>,
           Andreas Tille <tille@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/unsort
Vcs-Git: https://salsa.debian.org/salvage-team/unsort.git
Homepage: https://git.fruit.je/unsort

Package: unsort
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: reorders lines in a file in semirandom ways
 This program reorders the lines in its input with no regard to the actual
 contents. Two permutation algorithms are available: randomization
 based on a good PRNG (the Mersenne Twister algorithm) and "shuffling",
 which permutes the lines in such a way that they're spread more or less
 evenly in the output. This mode is primarily intended for music playlists.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" https://www.fruit.je/download/unsort/unsort-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
